Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class SlowOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.jmeter.util.SlowOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class SlowOutputStream

extends FilterOutputStream

OutputStream filter to emulate a slow device, e.g. modem

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`SlowOutputStream(OutputStream out, int cps)` Create wrapped Output Stream toe emulate the requested CPS.

Method Summary
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlowOutputStream

    public SlowOutputStream(OutputStream out,
                            int cps)

  Create wrapped Output Stream toe emulate the requested CPS.

  Parameters:
    `out` - OutputStream
    `cps` - characters per second

Method Detail

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.